Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.taglib
Class TilesJspException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException
                  org.apache.tiles.jsp.taglib.TilesJspException

All Implemented Interfaces:
  java.io.Serializable

    public class TilesJspException

extends javax.servlet.jsp.JspException

Indicates that something went wrong during the use of Tiles in JSP pages.

Since:
  2.1.0
Version:
  $Rev: 637434 $ $Date: 2008-03-15 16:48:38 +0100 (sab, 15 mar 2008) $
See Also:
  Serialized Form

Constructor Summary
`TilesJspException()` Constructor.
`TilesJspException(java.lang.String msg)` Constructor.
`TilesJspException(java.lang.String message, java.lang.Throwable rootCause)` Constructor.
`TilesJspException(java.lang.Throwable rootCause)` Constructor.

Method Summary

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TilesJspException

    public TilesJspException()

  Constructor.

  Since:
    2.1.0

### TilesJspException

    public TilesJspException(java.lang.String msg)

  Constructor.

  Parameters:
    `msg` - The detail message.
  Since:
    2.1.0

### TilesJspException

    public TilesJspException(java.lang.Throwable rootCause)

  Constructor.

  Parameters:
    `rootCause` - The root cause of the exception.
  Since:
    2.1.0

### TilesJspException

    public TilesJspException(java.lang.String message,
                             java.lang.Throwable rootCause)

  Constructor.

  Parameters:
    `message` - The detail message.
    `rootCause` - The root cause of the exception.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.